Package: groovy.console.ui

## [Groovy] Class SwingTreeNodeMaker

- groovy.console.ui.SwingTreeNodeMaker

- All Implemented Interfaces and Traits:
    AstBrowserNodeMaker<DefaultMutableTreeNode>

      @CompileStatic
      class SwingTreeNodeMaker
      extends Object
      implements AstBrowserNodeMaker<DefaultMutableTreeNode>

  Creates tree nodes for swing UI

- - ### Constructor Summary

    Constructors
    Constructor and description
    `SwingTreeNodeMaker()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `DefaultMutableTreeNode` | `makeNode(Object userObject)`
    `` | `DefaultMutableTreeNode` | `makeNodeWithProperties(Object userObject, List<List<?>> properties)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SwingTreeNodeMaker()

  - ### Method Detail

    - #### DefaultMutableTreeNode makeNode(Object userObject)

    - #### DefaultMutableTreeNode makeNodeWithProperties(Object userObject, List<List<?>> properties)